Loading...
Searching...
No Matches
findzc.c File Reference

Zero Crossing functions. More...

`#include <stdio.h>`
`#include <math.h>`
Include dependency graph for findzc.c:

Go to the source code of this file.

## Macros

#define | TINY 1.0e-3

## Functions

int | G_math_findzc (double conv[], int size, double zc[], double thresh, int num_orients)
| Finds locations and orientations of zero crossings.

## Detailed Description

Zero Crossing functions.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

Author
  GRASS Development Team
  Brad Douglas - rez at touchofmadness com

Date
  2006

Definition in file findzc.c.

## Macro Definition Documentation

## TINY

#define TINY 1.0e-3

Definition at line 30 of file findzc.c.

Referenced by G_ludcmp(), and G_math_findzc().

## Function Documentation

## G_math_findzc()

int G_math_findzc | ( | double | conv[],
|  | int | size,
|  | double | zc[],
|  | double | thresh,
|  | int | num_orients )

Finds locations and orientations of zero crossings.

Finds the locations and orientations of zero crossings in the input array conv, which is the result of the convolution of the Marr-Hildreth operator with the image. The output array is zc, which is non-zero only at zero crossing pixels. At those pixels, the value is 1 + (orientation), where orientation is a value from 0 to num_orients.

Parameters

  [in] | conv | input
  [in] | size | size of largest matrix column or row
  [out] | zc | output
  [in] | thresh | magnitude threshold
  [in] | num_orients |

Returns
  int always returns 0

Definition at line 52 of file findzc.c.

References TINY.